netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_bufs.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/socket.h>`
`#include <netatalk/at.h>`
`#include <atalk/atp.h>`
`#include "atp_internals.h"`

## Macros
#define | N_MORE_BUFS 10

## Functions
static int | more_bufs (void)
struct atpbuf * | atp_alloc_buf (void)
int | atp_free_buf (struct atpbuf *bp)

## Variables
static struct atpbuf * | free_list = NULL

## Detailed Description

Our own memory maintenance for atp

## Macro Definition Documentation

## ◆ N_MORE_BUFS

#define N_MORE_BUFS 10

## Function Documentation

## ◆ atp_alloc_buf()

struct atpbuf * atp_alloc_buf | ( | void |  | ) |

## ◆ atp_free_buf()

int atp_free_buf | ( | struct atpbuf * | bp | ) |

## ◆ more_bufs()

int more_bufs | ( | void |  | ) |
| static

## Variable Documentation

## ◆ free_list

struct atpbuf* free_list = NULL
| static

free buffers